Skip to navigation

Update Transactional Email Settings

Update global transactional email settings or create channel specific overrides by channel_id.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

This endpoint expects an object.
abandoned_cart_emailbooleanOptional
account_details_changed_emailbooleanOptional
combined_order_status_emailbooleanOptional
create_account_emailbooleanOptional
create_guest_account_emailbooleanOptional
gift_certificate_emailbooleanOptional
invoice_emailbooleanOptional
order_message_notification_emailbooleanOptional
product_review_emailbooleanOptional
return_confirmation_emailbooleanOptional
return_statuschange_emailbooleanOptional

Response

OK
dataobjectOptional
metaobjectOptional
Response metadata.